@media screen and (min-width:580px){


.div_body{
    position: absolute;
    display: block;

    width:100%;
    height:auto;

    border: 1px solid none;
    background:rgb(46, 46, 46);
    border-radius: 0px;
    
    margin:auto;

    text-align: center;
    align-items: center;
    align-content: center;
    justify-content: center;
    justify-items: center;
}

.div_body_block99{
    position: relative;
    display: inline-block;

    width:99%;
    height:auto;

    border: 1px solid none;
    background:rgb(37, 37, 37);
    border-radius: 0px;
    
    margin:auto;
    
    text-align: center;
    align-items: center;
    align-content: center;
    justify-content: center;
    justify-items: center;
}
.div_body_flex99{
    position: relative;
    display: inline-flex;

    width:99%;
    height:auto;

    border: 1px solid none;
    background:none;
    border-radius: 0px;
    
    margin:auto;
    
    text-align: center;
    align-items: center;
    align-content: center;
    justify-content: center;
    justify-items: center;
}

.div_hr{
    position: relative;
    display: block;

    width:99%;
    height:1px;

    border: 1px solid none;
    background:black;
    border-radius: 0px;
    
    margin:auto;
    
    text-align: center;
    align-items: center;
    align-content: center;
    justify-content: center;
    justify-items: center;
}

.div_menubar{
    position: fixed;
    display: inline-block;

    width:auto;
    height:auto;

    border: 1px solid none;
    background:rgb(46, 46, 46);
    border-radius: 0px;
    
    margin:auto;    
    
    text-align: center;
    align-items: center;
    align-content: center;
    justify-content: center;
    justify-items: center;

    left:-500px;
    top:320px;
    transition: 1.0s;
}

#check_01:checked ~ .div_menubar{
    left:0px;
    top:320px;
    transition: 1.0s;
}





}